------------------------------------------------
-- Apply DML 
-- Add new property for User Variable reporting
------------------------------------------------
merge into FRH_PROPERTY
USING TABLE(values('RPT_MAX_TXN'))
                     ac(PROPERTY_NAME) 
                  ON (FRH_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
INSERT 
(PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_TIMESTAMP,CREATE_USER,LSTUPDT_NBR,LOGICAL_DEL_IND,PROPERTY_EDITABLE_IND) 
VALUES
('RPT_MAX_TXN', '1000', 'Maximum no. of transactions allowed on User Variable Values Report', 
'Max. txns. for User Variable Values Report', 'Miscellany',CURRENT TIMESTAMP,CURRENT USER,0,'0','1')
ELSE IGNORE;

------------------------------------------------
-- Apply DML 
-- Insert new version information
------------------------------------------------
INSERT INTO FRH_VERSION(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.1.2.2 ', current date, '3.1.2.2 Hotfix DDL', 'DDL')
;