---------------------------------------------------------------------------------
--
-- Apply Transaction table index changes  
-- For Range Partitioned tables
-- Replace [index_tablespace] with the appropriate index tablespace name
-- and uncomment the line 
-- Also uncomment the line NOT PARTITIONED
---------------------------------------------------------------------------------


DROP INDEX NDX1_NANM;
CREATE  INDEX NDX1_NANM ON FCM_NANM ( XQO_CUST_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_NAMO;
CREATE  INDEX NDX1_NAMO ON FCM_NAMO ( XQO_CUST_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_NAMF;
CREATE  INDEX NDX1_NAMF ON FCM_NAMF ( XQO_CUST_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_NAMP;
CREATE  INDEX NDX1_NAMP ON FCM_NAMP ( XQO_CUST_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;
  
DROP INDEX NDX1_SLNM;
CREATE  INDEX NDX1_SLNM ON FCM_SLNM ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSMF;
CREATE  INDEX NDX1_CSMF ON FCM_CSMF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CCCP;
CREATE  INDEX NDX1_CCCP ON FCM_CCCP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSSH;
CREATE  INDEX NDX1_CSSH ON FCM_CSSH ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSCW;
CREATE  INDEX NDX1_CSCW ON FCM_CSCW ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCBF;
CREATE  INDEX NDX1_LCBF ON FCM_LCBF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCNM;
CREATE  INDEX NDX1_LCNM ON FCM_LCNM ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSCP;
CREATE  INDEX NDX1_CSCP ON FCM_CSCP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CCCA;
CREATE  INDEX NDX1_CCCA ON FCM_CCCA ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLAP;
CREATE  INDEX NDX1_SLAP ON FCM_SLAP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLDP;
CREATE  INDEX NDX1_SLDP ON FCM_SLDP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSCK;
CREATE  INDEX NDX1_CSCK ON FCM_CSCK ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSCA;
CREATE  INDEX NDX1_CSCA ON FCM_CSCA ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLAC;
CREATE  INDEX NDX1_SLAC ON FCM_SLAC ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCDP;
CREATE  INDEX NDX1_LCDP ON FCM_LCDP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLMF;
CREATE  INDEX NDX1_SLMF ON FCM_SLMF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLSH;
CREATE  INDEX NDX1_SLSH ON FCM_SLSH ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CCNM;
CREATE  INDEX NDX1_CCNM ON FCM_CCNM ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLCW;
CREATE  INDEX NDX1_SLCW ON FCM_SLCW ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCMF;
CREATE  INDEX NDX1_LCMF ON FCM_LCMF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCSH;
CREATE  INDEX NDX1_LCSH ON FCM_LCSH ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSBF;
CREATE  INDEX NDX1_CSBF ON FCM_CSBF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSNM;
CREATE  INDEX NDX1_CSNM ON FCM_CSNM ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCCW;
CREATE  INDEX NDX1_LCCW ON FCM_LCCW ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CCDP;
CREATE  INDEX NDX1_CCDP ON FCM_CCDP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLCA;
CREATE  INDEX NDX1_SLCA ON FCM_SLCA ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCCP;
CREATE  INDEX NDX1_LCCP ON FCM_LCCP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCCK;
CREATE  INDEX NDX1_LCCK ON FCM_LCCK ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CSDP;
CREATE  INDEX NDX1_CSDP ON FCM_CSDP ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CCMF;
CREATE  INDEX NDX1_CCMF ON FCM_CCMF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_LCCA;
CREATE  INDEX NDX1_LCCA ON FCM_LCCA ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_CCSH;
CREATE  INDEX NDX1_CCSH ON FCM_CCSH ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

DROP INDEX NDX1_SLBF;
CREATE  INDEX NDX1_SLBF ON FCM_SLBF ( XQO_CUST_NUM,AQO_ACCT_NUM,HQO_CARD_NUM,HQO_PB_USERID,HQO_OB_USERID,SMH_MULTI_ORG_ID ASC )  
-- IN [index_tablespace]  NOT PARTITIONED
ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

